javax.swing.plaf.basic

## Class BasicRadioButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI

Direct Known Subclasses:
  BasicCheckBoxUI, MetalRadioButtonUI

    public class BasicRadioButtonUI
    extends BasicToggleButtonUI

RadioButtonUI implementation for BasicRadioButtonUI

### Field Summary

Fields
`protected Icon` `icon`

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

### Constructor Summary

Constructors
Constructor and Description
`BasicRadioButtonUI()`

### Method Summary

Methods
`static ComponentUI` `createUI(JComponent b)`
`Icon` `getDefaultIcon()`
`Dimension` `getPreferredSize(JComponent c)` The preferred size of the radio button
`protected String` `getPropertyPrefix()`
`protected void` `installDefaults(AbstractButton b)`
`void` `paint(Graphics g, JComponent c)` paint the radio button
`protected void` `paintFocus(Graphics g, Rectangle textRect, Dimension size)`
`protected void` `uninstallDefaults(AbstractButton b)`

### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

`getTextShiftOffset, paintIcon`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installListeners, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### icon

    protected Icon icon

### Constructor Detail

#### BasicRadioButtonUI

    public BasicRadioButtonUI()

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent b)

#### getPropertyPrefix

    protected String getPropertyPrefix()

Overrides:
  `getPropertyPrefix` in class `BasicToggleButtonUI`

#### installDefaults

    protected void installDefaults(AbstractButton b)

Overrides:
  `installDefaults` in class `BasicButtonUI`

#### uninstallDefaults

    protected void uninstallDefaults(AbstractButton b)

Overrides:
  `uninstallDefaults` in class `BasicButtonUI`

#### getDefaultIcon

    public Icon getDefaultIcon()

#### paint

    public void paint(Graphics g,
             JComponent c)

paint the radio button

Overrides:
  `paint` in class `BasicToggleButtonUI`
Parameters:
  `g` - the `Graphics` context in which to paint
  `c` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
See Also:
  `ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)`

#### paintFocus

    protected void paintFocus(Graphics g,
                  Rectangle textRect,
                  Dimension size)

#### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

The preferred size of the radio button

Overrides:
  `getPreferredSize` in class `BasicButtonUI`
Parameters:
  `c` - the component whose preferred size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
See Also:
  `JComponent.getPreferredSize()`, `LayoutManager.preferredLayoutSize(java.awt.Container)`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.